> For the complete documentation index, see [llms.txt](https://docs.lsports.eu/u/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lsports.eu/u/trade/integration/apis/notes-and-troubleshooting.md).

# Notes & Troubleshooting

Follow the below practices and restrictions while working with TRADE API

Be advised of the following general limitations for all TRADE API:

* Same request – Every 5 Seconds.
* 5 Different requests at the same time.

If stricter limitations are specified, such as for the [Snapshot API](/u/trade/integration/apis/snapshot.md), they will take precedence over these.

We highly recommend using only filtered requests, otherwise, 'full' requests can take longer to retrieve, and in some cases, you won't be able to retrieve requests at all due to the vast volume of data.

Here are examples of "full" and "filtered" requests

**Full** - <https://stm-snapshot.lsports.eu/PreMatch/GetEvents>

```javascript
{
    "PackageId": ,
    "UserName": "",
    "Password": ""
}

```

**Filtered** - <https://stm-snapshot.lsports.eu/PreMatch/GetEvents>

```javascript
{
    "PackageId": ,
    "UserName": "",
    "Password": "",
    "sports": "",
    "location": ""
}
```

**TRADE API data preservation:**

* How long do we keep data available for Prematch? - 24 Hours from the event's final status.
* How long do we keep data available for the Inplay snapshot? - 24 Hours from the event's final status.

#### Handling Special Characters in GET Requests

When making GET requests via the browser, encoding special characters is important. Failure to do so will result in the request failing. Please ensure that all special characters are properly encoded before sending the request.

{% hint style="info" %}
**Notice on API Timestamp Format**

All timestamps are in UTC format, including rare cases without a "Z" indication
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lsports.eu/u/trade/integration/apis/notes-and-troubleshooting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
